Fetch a list of workspaces
curl --request GET \
--url https://api.staging.payrails.io/merchant/workspaces \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.staging.payrails.io/merchant/workspaces"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.staging.payrails.io/merchant/workspaces', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"id": "b8fe6271-5d71-4d28-b8e8-89e64acc0c49",
"name": "Default Workspace",
"createdAt": "2022-02-03T14:38:40.557Z",
"updatedAt": "2022-02-03T14:38:40.557Z",
"createdBy": "john.doe@payrails.com"
},
{
"id": "60971ce9-5a07-4391-beac-b750b06dfeab",
"name": "My Workspace",
"createdAt": "2024-02-05T17:00:00.557Z",
"updatedAt": "2024-02-05T17:00:00.557Z",
"createdBy": "my.user@payrails.com"
}
]
}{
"errors": [
{
"id": "a24bc325-3929-4d9d-9c08-b3aa532685b7",
"code": "request.malformed",
"detail": "The request has malformed syntax",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestmalformed"
}
]
}{
"errors": [
{
"id": "a24bc325-3929-4d9d-9c08-b3aa532685b7",
"code": "request.unauthorized",
"detail": "The request lacks necessary credentials to perform the specified action",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestunauthorized"
}
]
}{
"errors": [
{
"id": "e7db22b3-914e-4975-928e-9edfb0885bea",
"code": "request.forbidden",
"detail": "The request credentials lack the required permissions to perform the specified action",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestforbidden"
}
]
}{
"errors": [
{
"id": "a24bc325-3929-4d9d-9c08-b3aa532685b7",
"code": "request.not-found",
"detail": "The requested resource was not found",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestnot-found"
}
]
}Fetch a list of workspaces
Fetch a list of workspaces based on user permissions.
GET
https://api.staging.payrails.io
/
merchant
/
workspaces
Fetch a list of workspaces
Authorizations
You can use an OAuth2 JWT bearer token in the Authorization header of your API requests for supported endpoints: Authorization: Bearer <YOUR_JWT_HERE>.
These tokens are valid for 10 minutes and can be requested via the access token endpoint endpoint.
Query Parameters
Filter by Workspace ID.
Filter workspaces based on their state.
Response
Success.
Hide child attributes
Hide child attributes
Unique identifier of the Workspace.
Unique name of the Workspace configuration.
Date of creation of the workspace configuration.
Date of last update of the workspace configuration.
Email address of the user that created the workspace.
Email address of the user that updated the workspace.
Last modified on October 9, 2026